> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mapp.com/llms.txt
> Use this file to discover all available pages before exploring further.
# Create a draft message
> Creates a new message as a draft.
A JSON request body containing a non-null message object is required. Missing body or message returns HTTP 400.
Request body example:
{
"name": "Test Draft Message",
"externalId": null,
"messageCategoryId": null,
"message":
{
"subject": "This is draft test",
"emailBodyText": null,
"emailBodyHtml": "Test",
"smsText": null,
"faxText": null,
"emailHeaders":
[
],
"attachments":
[
],
"attachmentReferences": null,
"encoding": "ISO-8859-1",
"encodingSMS": "ISO-8859-1",
"imageHandlingMode": "none"
}
}{
"name": "Test Draft Message",
"externalId": null,
"messageCategoryId": null,
"message":
{
"subject": "This is draft test",
"emailBodyText": null,
"emailBodyHtml": "Test",
"smsText": null,
"faxText": null,
"emailHeaders":
[{"name":"from","value":"John"},
{"name":"Reply-to","value":"Bob "}],
"attachments":[],
"attachmentReferences": null,
"encoding": "ISO-8859-1",
"encodingSMS": "ISO-8859-1",
"imageHandlingMode": "none"
}
} "none" - Image links are unchanged## OpenAPI ````json POST /draftmessage/create { "openapi": "3.0.4", "info": { "title": "Engage public API", "version": "1" }, "servers": [ { "url": "https://your-engage-domain.com/api/rest" } ], "tags": [ { "name": "Address Attributes" }, { "name": "Async" }, { "name": "Audit Log" }, { "name": "Automation" }, { "name": "Blacklist" }, { "name": "CMS" }, { "name": "Contact" }, { "name": "Content" }, { "name": "Coupon" }, { "name": "Draft Message" }, { "name": "Ecommerce" }, { "name": "Group" }, { "name": "Group Attributes" }, { "name": "Landing Page" }, { "name": "Member Attributes" }, { "name": "Membership" }, { "name": "Message" }, { "name": "Meta" }, { "name": "Mobile Push" }, { "name": "Prepared Message" }, { "name": "Process" }, { "name": "Profile Attributes" }, { "name": "Related Data" }, { "name": "Segmentation" }, { "name": "System" }, { "name": "System User" }, { "name": "Usage Statistics" }, { "name": "User" }, { "name": "Whiteboard" } ], "paths": { "/draftmessage/create": { "post": { "tags": [ "Draft Message" ], "summary": "Create a draft message", "description": "Creates a new message as a draft.
"inline" - Image are inlined (Offline HTML)
"host" - Image are Hosted in Mapp Engage (Online HTML)
{
\"name\": \"Test Draft Message\",
\"externalId\": null,
\"messageCategoryId\": null,
\"message\":
{
\"subject\": \"This is draft test\",
\"emailBodyText\": null,
\"emailBodyHtml\": \"Test\",
\"smsText\": null,
\"faxText\": null,
\"emailHeaders\":
[
],
\"attachments\":
[
],
\"attachmentReferences\": null,
\"encoding\": \"ISO-8859-1\",
\"encodingSMS\": \"ISO-8859-1\",
\"imageHandlingMode\": \"none\"
}
}{
\"name\": \"Test Draft Message\",
\"externalId\": null,
\"messageCategoryId\": null,
\"message\":
{
\"subject\": \"This is draft test\",
\"emailBodyText\": null,
\"emailBodyHtml\": \"Test\",
\"smsText\": null,
\"faxText\": null,
\"emailHeaders\":
[{\"name\":\"from\",\"value\":\"John\"},
{\"name\":\"Reply-to\",\"value\":\"Bob \"}],
\"attachments\":[],
\"attachmentReferences\": null,
\"encoding\": \"ISO-8859-1\",
\"encodingSMS\": \"ISO-8859-1\",
\"imageHandlingMode\": \"none\"
}
} \"none\" - Image links are unchanged", "operationId": "CreateDraftMessage", "requestBody": { "description": "Draft message as JSON. The message object is required and must not be null.", "content": { "application/json": { "schema": { "$ref": "#/components/schemas/DraftMessage" } } }, "required": true, "x-bodyName": "body" }, "responses": { "200": { "description": "Example response when dmarcTrue=true and domain not matching:
\"inline\" - Image are inlined (Offline HTML)
\"host\" - Image are Hosted in Mapp Engage (Online HTML)